Update a CopilotMessage
curl --request PATCH \
--url https://api.example.com/api/entities/copilotmessage/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"orgId": "<string>",
"role": "<string>",
"text": "<string>",
"threadId": "<string>",
"toolCallsJson": "<unknown>"
}
'import requests
url = "https://api.example.com/api/entities/copilotmessage/{id}"
payload = {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"orgId": "<string>",
"role": "<string>",
"text": "<string>",
"threadId": "<string>",
"toolCallsJson": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
createdAt: '2023-11-07T05:31:56Z',
id: '<string>',
orgId: '<string>',
role: '<string>',
text: '<string>',
threadId: '<string>',
toolCallsJson: '<unknown>'
})
};
fetch('https://api.example.com/api/entities/copilotmessage/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}CopilotMessage
Update a CopilotMessage
PATCH
/
api
/
entities
/
copilotmessage
/
{id}
Update a CopilotMessage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Updated
⌘I